<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\BoardModel as Model;

class BoardEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'] ?? null;
    }
}
